Bug 434821 - NM connects once only to WPA2/EAP-TLS access point
NM connects once only to WPA2/EAP-TLS access point
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 12:36 EST by James
Modified: 2009-01-09 04:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:03:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkManager debug output (20.84 KB, text/plain)
2008-02-25 12:36 EST, James
no flags Details
nm-applet debug output (7.33 KB, text/plain)
2008-02-25 12:37 EST, James
no flags Details

  None (edit)
Description James 2008-02-25 12:36:58 EST
Description of problem:
I just got a new router/access point that's configured for WPA2/EAP-TLS,
alongside my old access point with WPA/EAP-TLS. Both connect to the same RADIUS
server. The WPA network works fine, but the new WPA2 set-up seems to only ever
be able to connect just *once*. This first connection will work fine. If
I try to connect again, it fails and prompts for the certificate
information again. To get it to work, I have to stop NetworkManager and
nm-applet, ifconfig the interface down, and start them up again. Note in
the logs below that eth1 never gets beyond stage 4 with the second go.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3302.fc8 from updates-testing.

How reproducible:
Always.

Steps to Reproduce:
1. Reset the net subsystem: stop NM, ifconfig <wireless> down, start NM.
2. Find a WPA2/EAP-TLS network.
3. Enter details for user certificate, ID, CA, etc. and connect.
4. NM connects. Choose the network from the applet list again.
5. NM disconnects, doesn't reconnect, displays the key details dialog again.
6. Re-enter details.
  
Actual results:
NM fails to connect on all subsequent attempts until it is restarted.

Expected results:
Seamless reconnect, as with WPA/EAP-TLS.

Additional info:
Access point may be configured for "WPA/WPA2" or just "WPA2". Same result in
both cases.
Comment 1 James 2008-02-25 12:36:58 EST
Created attachment 295819 [details]
NetworkManager debug output
Comment 2 James 2008-02-25 12:37:42 EST
Created attachment 295820 [details]
nm-applet debug output
Comment 3 James 2008-04-13 09:42:59 EDT
Also seen with iwl4965 card on separate machine.
Comment 4 James 2008-05-06 18:17:04 EDT
Still present in NetworkManager-0.7.0-0.6.8.svn3623.fc8. Possible problem with
wpa_supplicant?
Comment 5 James 2008-05-16 19:10:27 EDT
Sorry to be royal nag... any more on this re-association problem? Seen with
NetworkManager-0.7.0-0.6.8.svn3669.fc8 and wpa_supplicant-0.5.10-4.fc8. Seems to
just happen with WPA2-Enterprise, PSK re-associates most times (sometimes it
times out and asks for the password) when asked. No problems with the set-up
under Windows XP, either...
Comment 6 Bug Zapper 2008-11-26 04:56:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:03:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.